# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/socionext,uniphier-evea.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: UniPhier EVEA SoC-internal sound codec

maintainers:
  - <alsa-devel@alsa-project.org>

properties:
  compatible:
    const: socionext,uniphier-evea

  reg:
    maxItems: 1

  clock-names:
    items:
      - const: evea
      - const: exiv

  clocks:
    minItems: 2
    maxItems: 2

  reset-names:
    items:
      - const: evea
      - const: exiv
      - const: adamv

  resets:
    minItems: 3
    maxItems: 3

  "#sound-dai-cells":
    const: 1

patternProperties:
  "^port@[0-9]$":
    type: object
    properties:
      endpoint: true
    required:
      - endpoint

additionalProperties: false

required:
  - compatible
  - reg
  - clock-names
  - clocks
  - reset-names
  - resets
  - "#sound-dai-cells"

examples:
  - |
    codec@57900000 {
        compatible = "socionext,uniphier-evea";
        reg = <0x57900000 0x1000>;
        clock-names = "evea", "exiv";
        clocks = <&sys_clk 41>, <&sys_clk 42>;
        reset-names = "evea", "exiv", "adamv";
        resets = <&sys_rst 41>, <&sys_rst 42>, <&adamv_rst 0>;
        #sound-dai-cells = <1>;
    };
